//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CallMgrSystem.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class tbl_Users
    {
        public int ID { get; set; }
        public string userName { get; set; }
        public string DisplayName { get; set; }
        public string OU { get; set; }
        public string Department { get; set; }
        public string Title { get; set; }
        public string Email { get; set; }
        public string Phone { get; set; }
        public string Description { get; set; }
        public Nullable<int> AgentType { get; set; }
        public Nullable<int> AgentID { get; set; }
        public Nullable<int> ExtensionID { get; set; }
        public Nullable<int> Status { get; set; }
        public Nullable<System.DateTime> StatusBegin { get; set; }
        public Nullable<bool> DesktopActive { get; set; }
        public Nullable<System.DateTime> LastDesktopHeartbeat { get; set; }
        public Nullable<bool> Active { get; set; }
        public Nullable<int> InboundCalls { get; set; }
        public Nullable<int> AnsweredCalls { get; set; }
        public Nullable<int> OutboundCalls { get; set; }
        public Nullable<int> AvgRingTime { get; set; }
        public Nullable<int> AvgTalkTime { get; set; }
        public Nullable<int> AvgIncTalk { get; set; }
        public Nullable<int> AvgOutTalk { get; set; }
        public Nullable<int> AvgHoldTime { get; set; }
        public Nullable<System.Guid> GUID { get; set; }
        public string SID { get; set; }
        public string Code { get; set; }
        public Nullable<int> DepartmentID { get; set; }
        public string Groups { get; set; }
        public Nullable<bool> IsAdmin { get; set; }
        public Nullable<System.DateTime> LastLogOn { get; set; }
        public Nullable<System.Guid> Session { get; set; }
        public Nullable<long> LastMissCallID { get; set; }
        public string AccountCode { get; set; }
        public string StreamingAddress { get; set; }
        public Nullable<int> StreamingPort { get; set; }
        public Nullable<int> StreamingDeviceID { get; set; }
        public Nullable<System.DateTime> LastStreamingRequest { get; set; }
    }
}
